class MailType < ApplicationRecord
  has_many :mail_contents
  belongs_to :mail_type_reference, :class_name => "MailType"

  

  acts_as_sorting :fields => {
      
      :slug => {:name => "Réf", :reorder => true},
      :default_title => {:name => "Sujet", :reorder => true},
      :default_message => {:name => "Contenu", :reorder => true},
      
      :actions => "Actions",
    }
    
    
  accepts_nested_attributes_for :mail_contents
end
